Issue1102

Title Sending enc/signed mails does not work with Exchange
Priority feature Status resolved
Category gpgol Due Date
Version 1.1.1 ExtLink  (go)
Superseder Nosy List bernhard, kjathome, werner
Assigned To werner Topics gpg4win, noinfo  (help)

Created on 2009-08-14.09:34:23 by kjathome, last changed 2013-07-10.13:16:19 by werner.

Messages
msg3944 (view) Author: emanuel Date: 2011-02-04.08:28:53
Using SMTP with GpgOL and Exchange seems to be work:
http://lists.wald.intevation.org/pipermail/gpg4win-users-en/2010-December/000572.html

Can anybody confirm this?
msg3425 (view) Author: bernhard Date: 2009-12-01.13:46:49
BTW: There is another short old report about exchange problems here: 
http://wald.intevation.org/forum/forum.php?thread_id=624&forum_id=20
msg3343 (view) Author: bernhard Date: 2009-09-10.12:41:27
Werner needs to try something to make sending MIME emails with Exchange
for the first time. 
(So this problem will still be in 2.0.1rc1.)
msg3240 (view) Author: werner Date: 2009-08-19.16:00:04
It is only shown on the very first start.  FWIW:

#define ANNOUNCE_NUMBER 1
      if ( ANNOUNCE_NUMBER > opt.announce_number )
        {
          /* Note: If you want to change the announcment, you need to
             increment the ANNOUNCE_NUMBER above.  The number assures
             that a user will see this message only once.  */
          MessageBox 
            (NULL,
             _("Welcome to GpgOL 1.0\n"
               "\n"
               "GpgOL adds integrated OpenPGP and S/MIME encryption "
               "and digital signing support to Outlook 2003 and 2007.\n"
               "\n"
               "Although we tested this software extensively, we can't "
               "give you any guarantee that it will work as expected. "
               "The programming interface we are using has not been properly "
               "documented by Microsoft and thus the functionality of GpgOL "
               "may cease to work with an update of your Windows system.\n"
               "\n"
               "WE STRONGLY ADVISE TO RUN ENCRYPTION TESTS BEFORE YOU START "
               "TO USE GPGOL ON ANY SENSITIVE DATA!\n"
               "\n"
               "There are some known problems, the most severe being "
               "that sending encrypted or signed mails using an Exchange "
               "based account does not work.  Using GpgOL along with "
               "other Outlook plugins may in some cases not work."
               "\n"),     
             "GpgOL", MB_ICONINFORMATION|MB_OK);
          /* Show this warning only once.  */
          opt.announce_number = ANNOUNCE_NUMBER;
          write_options ();
        }
msg3239 (view) Author: kjathome Date: 2009-08-19.14:10:44
Hmmm. I didn't notice the hint at the first startup.
msg3232 (view) Author: werner Date: 2009-08-18.18:14:49
Escchange does not work - that is as expected.  GpgOL even tells about this
during its first startup.
msg3230 (view) Author: bernhard Date: 2009-08-18.12:40:51
Note that 
http://lists.wald.intevation.org/pipermail/gpg4win-users-en/2009-August/000340.html
reported a recpient not found problem with  OL2007, MS Exhange 2003 and 
2.0.0rc1.

And airflow.2010 at gmail.com reports
http://lists.wald.intevation.org/pipermail/gpg4win-users-de/2009-August/000201.html
Microsoft Exchange 2007 + Microsoft Office Outlook 2007 + PGP/GPG.
two subproblems which are different depending on if it is an external
or an exchange internal address.

For the internal address, the email sending just does not work, the button
leaves the window open.

For an external address it first seems to work but after a while there is an 
error from the exchange with:
"Ihre Nachricht hat einige oder alle Empfänger nicht erreicht.
      Betreff:    WG: Mailsubject
      Gesendet am:      17.08.2009 18:28
Folgende(r) Empfänger kann/können nicht erreicht werden:
      'externe at email.com' am 17.08.2009 18:28
            Diese Nachricht konnte nicht gesendet werden. Versuchen Sie es
später erneut, oder wenden Sie sich an den Netzwerkadministrator.  Fehler:
[0x80004005-00000000-00000000]."
msg3223 (view) Author: werner Date: 2009-08-18.09:13:20
Note that issue#1019 states that encryption works with XP and OL2007 - There was
no change in the mIME stuff since then.
msg3222 (view) Author: werner Date: 2009-08-18.09:09:37
Sorry, as stated in the README this does not work.  I need to find a bit of time
to play with Exchange to figure out the right way to order the MIME headers. 
There is no guarantee that I will succeed, though.

I have changed the title to keep an bug on this open.
msg3218 (view) Author: kjathome Date: 2009-08-18.08:35:41
I'm using an Exchange base account.
msg3211 (view) Author: werner Date: 2009-08-17.11:37:15
Are you using a local account, IMAP or an Exchange based account?
msg3201 (view) Author: kjathome Date: 2009-08-14.09:34:23
Encryption seems to work according to kleopatra's message. But when sending the
email an error occurs. An excerpt of gpgol's log file contains the following error:

.....
52281/2908/engine-assuan.c:noclose_finalize_handler: [status:0000056C] called
52281/4744/engine.c:engine_wait: in.lock released
52281/2908/engine-assuan.c:async_worker_thread: step 1 - scanning work queue
52281/4744/engine.c:engine_wait: filter 06B0DC58 ready: Success
52281/2908/engine-assuan.c:async_worker_thread: step 2 - 0 items in queue;
waiting for 0 items:
52281/4744/ERROR/mimemaker.c:finalize_message: SaveChanges(6) failed: hr=0x80004005
58921/4744/message-events.cpp:OnWriteComplete:406: UlRelease(06B05F34) had 3
references
58921/4744/message-events.cpp:OnWriteComplete:407: UlRelease(00198BD4) had 3
references
58921/4744/message-events.cpp:OnWriteComplete: received
58921/4744/message-events.cpp:OnWriteComplete: received
58921/4744/message-events.cpp:OnSubmitComplete: received
60531/4744/ext-commands.cpp:DoCommand: commandID=61536 (0xf060)
context=SendNoteMessage hwnd=00040AEA
60531/4744/ext-commands.cpp:DoCommand: command passed on
61796/4744/olflange.cpp:~GpgolExt: cleaning up GpgolExt object;
context=SendNoteMessage
61812/4744/user-events.cpp:OnSelectionChange: received
61812/4744/user-events.cpp:OnSelectionChange: message class: IPM.Note
.....
History
Date User Action Args
2013-07-10 13:16:19wernersetstatus: chatting -> resolved
topic: + noinfo
2011-02-10 12:57:45wernersetpriority: urgent -> feature
2011-02-04 08:28:53emanuelsettopic: + gpg4win
version: 2.0.1 -> 1.1.1
messages: + msg3944
2009-12-01 13:46:49bernhardsetassignedto: werner
version: 2.0.0 -> 2.0.1
messages: + msg3425
2009-09-10 12:41:27bernhardsetpriority: bug -> urgent
version: 1.0 -> 2.0.0
messages: + msg3343
2009-08-26 13:17:58wernerlinkissue1115 superseder
2009-08-19 16:00:04wernersetmessages: + msg3240
2009-08-19 14:10:44kjathomesetmessages: + msg3239
2009-08-18 18:14:49wernersetmessages: + msg3232
2009-08-18 12:40:51bernhardsetnosy: + werner, bernhard
messages: + msg3230
2009-08-18 09:13:20wernersetmessages: + msg3223
2009-08-18 09:09:37wernersetmessages: + msg3222
title: Sending of encrypted email fails with unknown system error -> Sending enc/signed mails does not work with Exchange
2009-08-18 08:35:41kjathomesetmessages: + msg3218
2009-08-17 11:37:15wernersetstatus: unread -> chatting
messages: + msg3211
2009-08-14 09:34:23kjathomecreate